package io.zipcoder.interfaces;

public class ZipCodeWilmington {
    private static final ZipCodeWilmington instance = new ZipCodeWilmington();
    private Students students = Students.getInstance();
    private Instructors instructors = Instructors.getInstance();

    private ZipCodeWilmington(){}

    public static ZipCodeWilmington getInstance() {
        return instance;
    }

    public void hostLecture(Teacher teacher, double numberOfHours) {
        teacher.lecture(students.getArray(), numberOfHours);
    }

    public void hostLecture(long id, double numberOfHours) {
        for (Instructor instructor : instructors.getArray()) {
            if (instructor.getId() == id) {
                instructor.lecture(students.getArray(), numberOfHours);
            }
        }
    }
}
