package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestInstructors {

    @Test
    public void testSingletonInstance() {
        // Given
        Instructors instance1 = Instructors.getInstance();

        // When
        Instructors instance2 = Instructors.getInstance();

        // Then
        Assert.assertSame(instance1, instance2);
    }

    @Test
    public void testInitializationSetupInstructors() {
        // Given
        Instructors instructorsInstance = Instructors.getInstance();
        Person[] personArray = instructorsInstance.getArray();
        int expectedOutput = personArray.length;

        // When
        int actualOutput = instructorsInstance.getCount();

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);

    }
}
