package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestPerson {

    @Test
    public void testConstructor() {
        // Given
        long expectedOutput = 1234567;
        Person person = new Person(expectedOutput);

        // When
        long actualOutput = person.getId();

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);

    }

    @Test
    public void testSetAndGetName() {
        // Given
        long id = 1234567;
        Person person = new Person(id);
        person.setName("Caleb");
        String expectedOutput = "Caleb";

        // When
        String actualOutput = person.getName();

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

}
