package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestStudent {

    @Test
    public void testImplementation() {
        // Given
        long id = 1234567;
        Student student = new Student(id);
        boolean expectedOutput = true;

        // When
        boolean actualOutput = student instanceof Learner;

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void testInheritance() {
        // Given
        long id = 1234567;
        Student student = new Student(id);
        boolean expectedOutput = true;

        // When
        boolean actualOutput = student instanceof Person;

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void testLearn() {
        // Given
        long id = 1234567;
        Student student = new Student(id);
        student.learn(40);
        double expectedOutput = 40;

        // When
        double actualOutput = student.getTotalStudyTime();

        //Then
        Assert.assertEquals(expectedOutput, actualOutput, 0.01);
    }
}
