package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestStudents {

    @Test
    public void testSingletonInstance() {
        // Given
        Students instance1 = Students.getInstance();

        // When
        Students instance2 = Students.getInstance();

        // Then
        Assert.assertSame(instance1, instance2);
    }

    @Test
    public void testInitializationSetupStudents() {
        // Given
        Students studentsInstance = Students.getInstance();
        Person[] personArray = studentsInstance.getArray();
        int expectedOutput = personArray.length;

        // When
        int actualOutput = studentsInstance.getCount();

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }
}
